> ## Documentation Index
> Fetch the complete documentation index at: https://docs.valyent.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# List machines



## OpenAPI

````yaml api-reference/openapi.yaml get /fleets/{fleet}/machines
openapi: 3.1.0
info:
  title: Ravel API
  version: 1.0.0
servers: []
security: []
paths:
  /fleets/{fleet}/machines:
    get:
      tags:
        - Machines
      summary: List machines
      operationId: listMachines
      parameters:
        - explode: false
          in: query
          name: namespace
          schema:
            type: string
        - in: path
          name: fleet
          required: true
          schema:
            type: string
        - explode: false
          in: query
          name: destroyed
          schema:
            type: boolean
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/Machine'
                type:
                  - array
                  - 'null'
          description: OK
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RavelError'
          description: Error
components:
  schemas:
    Machine:
      additionalProperties: false
      properties:
        config:
          $ref: '#/components/schemas/MachineConfig'
        created_at:
          format: date-time
          type: string
        fleet:
          type: string
        id:
          type: string
        instance_id:
          type: string
        machine_version:
          type: string
        namespace:
          type: string
        region:
          type: string
        state:
          type: string
        updated_at:
          format: date-time
          type: string
      required:
        - id
        - namespace
        - fleet
        - instance_id
        - machine_version
        - region
        - config
        - created_at
        - updated_at
        - state
      type: object
    RavelError:
      additionalProperties: false
      properties:
        code:
          type: string
        detail:
          type: string
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        status:
          format: int64
          type: integer
        title:
          type: string
      required:
        - code
        - status
        - title
        - detail
      type: object
    MachineConfig:
      additionalProperties: false
      properties:
        auto_destroy:
          type: boolean
        guest:
          $ref: '#/components/schemas/GuestConfig'
        stop_config:
          $ref: '#/components/schemas/StopConfig'
        workload:
          $ref: '#/components/schemas/Workload'
      required:
        - guest
        - workload
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
    GuestConfig:
      additionalProperties: false
      properties:
        cpu_kind:
          type: string
        cpus:
          format: int64
          minimum: 1
          type: integer
        memory_mb:
          format: int64
          minimum: 1
          type: integer
      required:
        - cpu_kind
        - memory_mb
        - cpus
      type: object
    StopConfig:
      additionalProperties: false
      properties:
        signal:
          type: string
        timeout:
          format: int64
          type: integer
      type: object
    Workload:
      additionalProperties: false
      properties:
        env:
          items:
            type: string
          type:
            - array
            - 'null'
        image:
          type: string
        init:
          $ref: '#/components/schemas/InitConfig'
        restart_policy:
          $ref: '#/components/schemas/RestartPolicyConfig'
        type:
          type: string
      required:
        - type
        - image
      type: object
    InitConfig:
      additionalProperties: false
      properties:
        cmd:
          items:
            type: string
          type:
            - array
            - 'null'
        entrypoint:
          items:
            type: string
          type:
            - array
            - 'null'
        user:
          type: string
      type: object
    RestartPolicyConfig:
      additionalProperties: false
      properties:
        max_retries:
          format: int64
          type: integer
        policy:
          type: string
      type: object

````